
#define DSS_FGCONTROL 0x62170003

enum _FGSDK_FUNCTIONCALL_INDEX
{
	FGSDK_DATA_CH1,			//Input CarrierParameter structure 
	FGSDK_CW_MODE_CH1,		//Input NULL pointer
	FGSDK_MODUL_MODE_CH1,	//Input ModulationParameter structure
	FGSDK_SWEEP_MODE_CH1,	//Input SweepParameter structure
	FGSDK_BURST_MODE_CH1,	//Input BurstParameter structure
	FGSDK_DATA_CH2,			//Input CarrierParameter structure 
	FGSDK_CW_MODE_CH2,		//Input NULL pointer
	FGSDK_MODUL_MODE_CH2,	//Input ModulationParameter structure
	FGSDK_SWEEP_MODE_CH2,	//Input SweepParameter structure
	FGSDK_BURST_MODE_CH2,	//Input BurstParameter structure
	FGSDK_TRIG_DATA,		//Input TriggerParameter structure
	FGSDK_SENDPTN,			//Input NULL pointer
	FGSDK_PHASERESET,		//Input NULL pointer
	FGSDK_ARRAY_MODE = 0x1000,//Use Data array instead of struct
};

enum _FGSDK_FUNCTIONTYPE
{
	FGSDK_WAVE_DC,		//Not support in Modulation mode
	FGSDK_SINE,
	FGSDK_SQUARE,
	FGSDK_TRIANGLE,
	FGSDK_RAMP,
	FGSDK_PULSE,	
	FGSDK_ENABLE_V_OFS = 0x100,	//for Ch2 only, select this function type will disable ch1 waveform and use ch1 as ch2 offset
};

enum _FGSDK_MODULATION_TYPE
{
	FGSDK_MODUL_AM = 0,
	FGSDK_MODUL_FM,
	FGSDK_MODUL_PM,
	FGSDK_MODUL_ASK,
	FGSDK_MODUL_FSK,
	FGSDK_MODUL_PSK
};
enum _FGSDK_SWEEPMODE
{
	FGSDK_SWEEP_MODE_TRIG,
	FGSDK_SWEEP_MODE_REPEAT
};
enum _FGSDK_SWEEPTYPE
{
	FGSDK_SWEEP_TYPE_LINEAR = 0,
	FGSDK_SWEEP_TYPE_LOG = 1
};
enum _FGSDK_TRIGTYPE
{
	FGSDK_TRIG_TYPE_INT = 0,
	FGSDK_TRIG_TYPE_EXT = 1
};
enum _FGSDK_TRIG_EDGE
{
	FGSDK_EDGE_FALLING,
	FGSDK_EDGE_RISING,	
};

typedef struct _CARRIER_PARAMETER
{
	double dbID;
	int iWaveFunction;
	double dbFreq;
	double dbPhase;
	double dbDuty;
	double dbLeading;
	double dbTrailing;
	double dbVoltAmp;
	double dbVoltOffset;
}CarrierParameter;
typedef struct _MODULATION_PARAMETER
{
	double dbID;
	int iWaveFunction;
	double dbFreq;
	double dbPhase;
	double dbDuty;
	double dbLeading;
	double dbTrailing;
	int iModulType;
	double dbModulScale;
}ModulationParameter;
typedef struct _SWEEP_PARAMETER
{
	double dbID;
	bool bSweepMode;
	bool bSweepType;
	double dbStartFreq;
	double dbStopFreq;
	double dbSweepTime;
	double dbHoldTime;
	double dbReturnTime;
}SweepParameter;
typedef struct _BURST_PARAMETER
{
	double dbID;
	int iBurstCycle;
	int iTrigDelay;
}BurstParameter;
typedef struct _TRIG_PARAMETER
{
	double dbID;
	bool bTrigSource;
	bool bTrigEdge;
	double dbTrigFreq;
}TriggerParameter;
typedef struct _NO_PARAMETER
{
	double dbID;
}NoParameter;